add mariadb

git-svn-id: https://svn.disconnected-by-peer.at/svn/linamh/trunk/mysql@2239 6952d904-891a-0410-993b-d76249ca496b
This commit is contained in:
geos_one 2010-05-30 07:21:31 +00:00
parent 65cc8a6c9e
commit 66806ca26a
4 changed files with 49 additions and 98 deletions

View File

@ -1,11 +0,0 @@
# ChangeLog for dev-db/mysql-mariadb
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
14 Jul 2009; Mario Fetka <mario.fetka@gmail.com>
mysql-mariadb-5.1.32_beta.ebuild:
take patches from git
13 Jul 2009; Mario Fetka <mario.fetka@gmail.com> ChangeLog:
initial checkin

View File

@ -1,3 +0,0 @@
DIST mysql-5.1.32-beta.tar.gz 102706 RMD160 6ecc9e9cf9ff0bb37d0b4e5034debc7662f346ef SHA1 477d17fe4b463f5456d630a569bf81f9378c2e99 SHA256 9f71765b70baf8c0b13385c8588cda5af5b5dc87bff40a23be63e4be5e4db7cd
EBUILD mysql-mariadb-5.1.32_beta.ebuild 2414 RMD160 4ea984935028817e262478cba9caacddf671522d SHA1 91b362f22e2cfabd294d573209eb4417084c143d SHA256 971ac5cc987bb78b8ed40eb6a26f3130f06ed2be4f39c28ec462a4c6ea6ca46b
MISC ChangeLog 314 RMD160 7771d6b85a0564c7e4cb09a93008a133ab73159c SHA1 e8bbed35abe46cb460f98879e5e25e4538f892d5 SHA256 2c9efd4b40d6fec269a698cf3e36e0cfe4764f55a1c65a6ce14065ea1eeb49b2

View File

@ -1,66 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.1.21_beta.ebuild,v 1.3 2008/11/14 09:43:04 robbat2 Exp $
MY_EXTRAS_VER="live"
#SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
#PBXT_VERSION="0.9.8-beta"
inherit mysql
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
src_test() {
make check || die "make check failed"
if ! use "minimal" ; then
cd "${S}/mysql-test"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
local t
local testopts="--force"
addpredict /this-dir-does-not-exist/t9.MYI
# mysqladmin start before dir creation
mkdir "${S}"/mysql-test/var{,/log}
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# sandbox make ndbd zombie
#X#hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
#X#if [[ ${UID} -eq 0 ]] ; then
#X# einfo "Disabling IM tests due to failure as root"
#X# mysql_disable_test "im_cmd_line" "fail as root"
#X# mysql_disable_test "im_daemon_life_cycle" "fail as root"
#X# mysql_disable_test "im_instance_conf" "fail as root"
#X# mysql_disable_test "im_life_cycle" "fail as root"
#X# mysql_disable_test "im_options" "fail as root"
#X# mysql_disable_test "im_utils" "fail as root"
#X# mysql_disable_test "trigger" "fail as root"
#X#fi
#use "extraengine" && mysql_disable_test "federated" "fail with extraengine"
#mysql_disable_test "view" "Already fixed: fail because now we are in year 2007"
# from Makefile.am:
retstatus=1
./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=mixed \
&& ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=row \
&& ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=row \
&& ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=mixed \
&& retstatus=0
# Just to be sure ;)
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
[[ $retstatus -eq 0 ]] || die "make test failed"
else
einfo "Skipping server tests due to minimal build."
fi
}

View File

@ -22,24 +22,22 @@ inherit toolchain-funcs mysql
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# Define the mysql-extras source
EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
EPATCH_EXCLUDE=''
# This is often broken still
EPATCH_EXCLUDE='02040_all_embedded-library-shared-5.1.43.patch '
DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
RDEPEND=""
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="!media-sound/amarok[embedded]"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='berkdb cluster embedded extraengine perl ssl community' \
# USE='berkdb -cluster embedded extraengine perl ssl community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mysql-X.X.XX.ebuild \
# digest clean package
@ -136,9 +134,9 @@ src_test() {
# mysql-test/std_data/untrusted-cacert.pem is MEANT to be
# expired/invalid.
case ${PV} in
5.0.*|5.1.*)
5.0.*|5.1.*|5.4.*|5.5.*)
for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
ssl_compress ssl_connect ; do \
ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
mysql_disable_test \
"$t" \
"These OpenSSL tests break due to expired certificates"
@ -149,33 +147,66 @@ src_test() {
# These are also failing in MySQL 5.1 for now, and are believed to be
# false positives:
#
# main.mysql_comment, main.mysql_upgrade:
# main.mysql_comment, main.mysql_upgrade, main.information_schema,
# funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test:
# segfaults at random under Portage only, suspect resource limits.
#
# main.not_partition:
# Failure reason unknown at this time, must resolve before package.mask
# removal FIXME
case ${PV} in
5.1.*)
for t in main.mysql_client_test main.mysql_comments main.mysql_upgrade; do
5.1.*|5.4.*|5.5.*)
for t in main.mysql_client_test main.mysql_comments \
main.mysql_upgrade \
main.information_schema \
main.not_partition funcs_1.is_columns_mysql \
funcs_1.is_tables_mysql funcs_1.is_triggers; do
mysql_disable_test "$t" "False positives in Gentoo"
done
;;
esac
# create directories because mysqladmin might right out of order
use profiling && use community \
|| mysql_disable_test main.profiling \
"Profiling test needs profiling support"
if [ "${PN}" == "mariadb" ]; then
for t in \
parts.part_supported_sql_func_ndb \
parts.partition_auto_increment_ndb ; do
mysql_disable_test $t "ndb not supported in mariadb"
done
fi
# This fail with XtraDB in place of normal InnoDB
# TODO: test if they are broken with the rest of the Percona patches
if xtradb_patch_available && use xtradb ; then
for t in main.innodb innodb.innodb_bug51378 \
main.information_schema_db main.mysqlshow \
main.innodb-autoinc main.innodb_bug21704 \
main.innodb_bug44369 main.innodb_bug46000 \
main.index_merge_innodb ; do
mysql_disable_test $t "tests broken in xtradb"
done
fi
# create directories because mysqladmin might make out of order
mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
# We run the test protocols seperately
make -j1 test-unit
emake test-unit
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
retstatus_ns=$?
[[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
retstatus_ps=$?
[[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"